Bug 1439899 - 6.3 Red Hat Repositories Page: repository enable checkbox does not render properly
Summary: 6.3 Red Hat Repositories Page: repository enable checkbox does not render pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.3.0
Hardware: Unspecified
OS: All
high
medium vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Brad Buckingham
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-06 19:26 UTC by Mike McCune
Modified: 2019-04-01 20:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (99.18 KB, image/png)
2017-04-06 19:32 UTC, Mike McCune
no flags Details
satellite 6.3 snap 9: screenshot (131.04 KB, image/png)
2017-08-02 21:09 UTC, Brad Buckingham
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 19210 0 None None None 2017-04-06 22:05:26 UTC

Description Mike McCune 2017-04-06 19:26:37 UTC
* Login 
* Content -> Red Hat Repositories
* Expand out a product -> repository set
* Note checkbox does not render after selecting a repo to enable

See screenshot

Comment 1 Mike McCune 2017-04-06 19:32:08 UTC
Created attachment 1269477 [details]
screenshot

Comment 3 Walden Raines 2017-04-06 19:54:51 UTC
Note that this is in FF only.

Comment 4 Walden Raines 2017-04-06 21:28:24 UTC
Created redmine issue http://projects.theforeman.org/issues/19210 from this bug

Comment 5 Walden Raines 2017-04-06 21:54:17 UTC
Seems like we have removed pulp_id from the result in this commit[1] (I think, regardless it's gone).  This causes the result of this [2] to be "input_repo_" since repo_id is undefined and then when the user clicks the checkbox we have no way of knowing which spinner to show and which checkbox to bring back when it's done.  It appears that the operation itself is still successful somehow.  I didn't look into that too much.

I really have no idea how this was working correctly in chrome unless chrome just handles the case of multiple matching selectors differently.

So, Justin, is there any other unique id I can change these checkboxes to use?

[1] https://github.com/Katello/katello/commit/7e3bb1b659e67b564dbc2e9d3e3b096fd1deba3e
[2] https://github.com/Katello/katello/blob/8da4ac0528c9485e339aa9f84f9be88498933c65/app/views/katello/providers/redhat/_repos.html.erb#L30

Comment 6 Justin Sherrill 2017-04-07 17:26:54 UTC
Walden, 
Thanks for your investigation! That saved me quite a bit of time.

I opened an upstream PR to resolve this https://github.com/Katello/katello/pull/6745

Comment 7 Satellite Program 2017-04-17 14:11:11 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19210 has been resolved.

Comment 8 Brad Buckingham 2017-08-02 21:08:27 UTC
Verified with Satellite 6.3 SNAP 9 : satellite-6.3.0-16.0.beta.el7sat.noarch, tfm-rubygem-katello-3.4.2-1.el7sat.noarch

Attaching updated screenshot.

Comment 9 Brad Buckingham 2017-08-02 21:09:12 UTC
Created attachment 1308475 [details]
satellite 6.3 snap 9: screenshot

Comment 10 Satellite Program 2018-02-21 16:49:54 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.